### Constructor

# Gimp Path new

since: 2.4

#### Declaration [src]

    GimpPath*
    gimp_path_new (
      GimpImage* image,
      const gchar* name
    )

#### Description [src]

Creates a new empty path object.

Creates a new empty path object. The path object needs to be added to the image using gimp_image_insert_path().

Available since: 2.4

#### Parameters

`image`

  Type: `GimpImage`

  The image.

  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  The name of the new path object.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpPath`

         the current path object, 0 if no path exists in the image.

The data is owned by the called function.